Page MenuHomePhabricator

Change current no-JS Special:Notifications to use core Pager
Closed, ResolvedPublic

Description

Right now there's just a "More" button, and once you click it there's no way to go back (apart from the browser's back button) and no indication that you're not on the first page. MediaWiki core has built-in standardized pagination controls, we should consider using those.

As part of this, drop the More button, including the AJAX appending of new notifications. Instead, users will always go page to page, until we do T129363: Pagination for the Notification Page.

Event Timeline

Catrope created this task.Mar 7 2016, 10:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 10:23 PM
Mattflaschen-WMF renamed this task from Make pagination on Special:Notifications clearer to Change current Special:Notifications to use core Pager.Mar 9 2016, 8:40 PM
Mattflaschen-WMF reopened this task as Open.
Mattflaschen-WMF claimed this task.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF renamed this task from Change current Special:Notifications to use core Pager to Change current no-JS Special:Notifications to use core Pager.Mar 10 2016, 5:20 PM
Mattflaschen-WMF closed this task as Resolved.Apr 15 2016, 8:49 PM
Mattflaschen-WMF reopened this task as Open.
Mattflaschen-WMF removed Mattflaschen-WMF as the assignee of this task.

Sorry, I didn't mean to mark that resolved.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptApr 25 2016, 9:45 PM

Change 289063 had a related patch set uploaded (by Sbisson):
[WIP] Pagination on no-js Special:Notifications

https://gerrit.wikimedia.org/r/289063

@Pginer-WMF What do you think of the general position of the pagination controls? Btw, these are from core. I did not write them and it would be nice not having to modify them...

@Pginer-WMF What do you think of the general position of the pagination controls? Btw, these are from core. I did not write them and it would be nice not having to modify them...

In the screenshot is a bit hard to identify how are elements grouped together (since the items in the notification list are more prominent than the listings of text lines of text where those pagination controls are normally used) . I'd propose making the following adjustments:

  • Make the top pagination anchored to the top of the page. I'd add more space after the control than before it so that it is perceived as part of the page heading. In the example below I used 15px separation on top and 30px below.
  • Separate the bottom pagination as a footer. In addition to keep the same space (30px in my example), I'd add a separation line to present it as a footer element that affects the whole list.
  • In the example below I also made adjustments to the width of elements so that their right sides are aligned Although that is not specifically related to navigation controls, the line added should end at the same point as all the elements above it do.

Change 289063 merged by jenkins-bot:
Pagination on no-js Special:Notifications

https://gerrit.wikimedia.org/r/289063

@Pginer-WMF 'More' label is not aligned left as in your mockup. Should it be fixed?

This screenshot shows the footer part of Special:Notifications page

@Pginer-WMF 'More' label is not aligned left as in your mockup. Should it be fixed?

I think it makes sense to align it.

What I don't know is whether this was something specific of the notification page, or a more general pattern.

@Pginer-WMF 'More' label is not aligned left as in your mockup. Should it be fixed?

I think it makes sense to align it.
What I don't know is whether this was something specific of the notification page, or a more general pattern.

It's a general pattern in MediaWiki. However, I also just merged a patch that moves the help link to the right-hand side (also using a general MW thing).

jmatazzoni closed this task as Resolved.May 31 2016, 3:36 PM